## org.apache.hadoop.mapreduce.lib.jobcontrol
Enum JobControl.ThreadState

    java.lang.Object
      java.lang.Enum<JobControl.ThreadState>
          org.apache.hadoop.mapreduce.lib.jobcontrol.JobControl.ThreadState

All Implemented Interfaces:
  Serializable, Comparable<JobControl.ThreadState>

Enclosing class:
  JobControl

    public static enum JobControl.ThreadState

extends Enum<JobControl.ThreadState>

Enum Constant Summary
`READY`
`RUNNING`
`STOPPED`
`STOPPING`
`SUSPENDED`

Method Summary
`static JobControl.ThreadState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobControl.ThreadState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUNNING

    public static final JobControl.ThreadState RUNNING

### SUSPENDED

    public static final JobControl.ThreadState SUSPENDED

### STOPPED

    public static final JobControl.ThreadState STOPPED

### STOPPING

    public static final JobControl.ThreadState STOPPING

### READY

    public static final JobControl.ThreadState READY

Method Detail

### values

    public static JobControl.ThreadState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobControl.ThreadState c : JobControl.ThreadState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobControl.ThreadState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009 The Apache Software Foundation